Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update: bump all Python dependencies to latest version #143

Merged
merged 2 commits into from Jan 12, 2020

Conversation

@TrueBrain
Copy link
Member

@TrueBrain TrueBrain commented Jan 12, 2020

No description provided.

While at it, switch to Python 3.8, and to the "slim" version.
For the "alpine" version pip cannot download the precompiled
binaries, which means that it needs gcc and friends to build
them. This is pretty much unwanted.
Switching to "slim" means pip can download the precompiled
binaries, resolving the issue.
This is a change in defaults for openttd/actions/checkout.
@TrueBrain TrueBrain merged commit 19d4360 into OpenTTD:master Jan 12, 2020
1 check passed
@TrueBrain TrueBrain deleted the bump_python branch Jan 12, 2020
@andythenorth
Copy link
Contributor

@andythenorth andythenorth commented Jan 13, 2020

THANKS! Sysadmin work is rarely appreciated enough :D

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

2 participants